Mail archive
alpine-aports

[alpine-aports] [PATCH 1/6] testing/py-coverage: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 14 Mar 2016 15:54:28 +0200

Code coverage measurement for Python
https://pypi.python.org/pypi/coverage
---
 testing/py-coverage/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/py-coverage/APKBUILD
diff --git a/testing/py-coverage/APKBUILD b/testing/py-coverage/APKBUILD
new file mode 100644
index 0000000..1cba13d
--- /dev/null
+++ b/testing/py-coverage/APKBUILD
_at_@ -0,0 +1,49 @@
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=py-coverage
+_pkgname=coverage
+pkgver=4.1b2
+pkgrel=0
+pkgdesc="Code coverage measurement for Python"
+url="https://pypi.python.org/pypi/coverage"
+arch="all"
+license="apache2"
+depends=
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-tools"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+tools() {
+        pkgdesc="$pkgdesc (command line tools)"
+        depends="$pkgname"
+        arch="noarch"
+        mkdir -p "$subpkgdir"/usr
+        mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="e68db75497aed61bc6c28990dbb4d99d  coverage-4.1b2.tar.gz"
+sha256sums="234f49523c94b0e588a9d2f0af55ec7a85a4c302e917f753eff2a444bc40d04d  coverage-4.1b2.tar.gz"
+sha512sums="c74a2190553bb12a24ea3e06bc4a50cea3c555e81fb149219a029069925fcd4481ff02c1774c92b9341d15c18b51e8c28713a2e7b50e565c0a07a7a5f6804f7e  coverage-4.1b2.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 14 2016 - 15:54:28 GMT